> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-ile-dosya-yukleme.md).

# GeoPard API ile Dosya Yükleme

{% hint style="success" %}
6 MB üzerindeki dosyalar için önerilen yaklaşım [önceden imzalanmış URL akışıdır](/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/55.-zip-dosyalarini-yukle-6-mb-uzeri.md).
{% endhint %}

GeoPard API, daha ileri işleme ve analiz için toprak/verim/uygulama/sınır veri kümeleri içeren zip arşivlerinin yüklenmesine izin verir.

{% hint style="danger" %}
Bir AWS sınırlaması nedeniyle, bu REST uç noktasından yükleyebileceğiniz maksimum dosya boyutu 6 MB’tır.
{% endhint %}

6 MB üzerindeki dosyalar için yükleme adımları şurada açıklanmıştır: [Zip dosyalarını yükleyin (6 MB üzeri)](/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/55.-zip-dosyalarini-yukle-6-mb-uzeri.md).

Toprak/verim/uygulama veri kümesinin başarıyla yüklenmesinin hemen ardından, GeoPard motoru bunu tanımlı çiftlik içinde yer alan ilgili tarlalarla ilişkilendirir.

Sınır verisinin başarıyla yüklenmesinin hemen ardından, GeoPard motoru işlemeyi başlatır.

Yanıt şunu içerir: `<uuid>` işleme durumunu izlemek için kullanabileceğiniz.

#### İstek örneği:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametreler şunlardır:

1. `<type>` - yüklenen veri kümesinin türü. Şu değerlerden biri olmalıdır: `yield` VEYA `soil` VEYA `applied` VEYA `boundary`.
2. `<farm_uuid>` - dosyanın yükleneceği Çiftliğin `uuid'si` (İsteğe bağlı).
3. `<token>` - GeoPard erişim belirteci.
4. `@path/to/file.zip` - yüklenen dosyanın yolu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-ile-dosya-yukleme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
